com.microfocus.awm.meta.modelextension

## Enum EModelExtensionCardinality

- java.lang.Object
- - java.lang.Enum<EModelExtensionCardinality>
  - - com.microfocus.awm.meta.modelextension.EModelExtensionCardinality

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EModelExtensionCardinality>

      public enum EModelExtensionCardinality
      extends java.lang.Enum<EModelExtensionCardinality>

  Copyright Micro Focus GmbH.

  Author:
    Ralf Pakosch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ONE` Cardinality ONE (required, 1..1)
    `ONE_UNBOUNDED` Cardinality ONE_UNBOUNDED (one or more, 1..*)
    `OPTIONAL` Cardinality OPTIONAL (0..1)
    `OPTIONAL_UNDBOUNDED` Cardinality OPTIONAL_UNDBOUNDED (zero or more, 0..*)

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isOptional()` Gets if the cardinality is optional (bounded or unbounded).
    `boolean` | `isRequired()` Gets whether at least one is required.
    `boolean` | `isUnbounded()` Gets whether the cardinality is unbounded.
    `static EModelExtensionCardinality` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EModelExtensionCardinality[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ONE

          public static final EModelExtensionCardinality ONE

      Cardinality ONE (required, 1..1)

    - #### OPTIONAL

          public static final EModelExtensionCardinality OPTIONAL

      Cardinality OPTIONAL (0..1)

    - #### ONE_UNBOUNDED

          public static final EModelExtensionCardinality ONE_UNBOUNDED

      Cardinality ONE_UNBOUNDED (one or more, 1..*)

    - #### OPTIONAL_UNDBOUNDED

          public static final EModelExtensionCardinality OPTIONAL_UNDBOUNDED

      Cardinality OPTIONAL_UNDBOUNDED (zero or more, 0..*)

  - ### Method Detail

    - #### values

          public static EModelExtensionCardinality[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EModelExtensionCardinality c : EModelExtensionCardinality.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EModelExtensionCardinality valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isRequired

          public boolean isRequired()

      Gets whether at least one is required.
      Returns:
        `true` if at least one is required and `false` otherwise

    - #### isOptional

          public boolean isOptional()

      Gets if the cardinality is optional (bounded or unbounded).
      Returns:
        `true` if the cardinality is optional and `false` otherwise

    - #### isUnbounded

          public boolean isUnbounded()

      Gets whether the cardinality is unbounded.
      Returns:
        `true` if the cardinality is unbounded and `false` if its bounded (max. 1)

Copyright © 2015 Micro Focus GmbH. All rights reserved.